收藏
回答

IOS10,基础库版本最新,cover-view显示异常

问题模块 框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
API和组件 小程序 Bug cover-view 客户端 7.0.4 2.7.5


今天遇到一个用户,7.04的微信版本,2.75的基础库,IOS10.3.2

一个普通view的页面上用了一个cover-view的弹窗,他都无法正常显示,感觉就是被截掉了一大部分一样


我最开始判断是因为用户的微信版本太低 导致不支持在cover-view中使用button或者根本就不支持使用cover-view

结果后来收集了一下他们的微信版本号,发现都挺新的 基础库都在2.1.0之上(官方文档说 2.1.0开始支持cover-view里包一个button了)

所以我又觉得是不是因为地图组件的缘故


如图所示


所以现在我又觉得是不是IOS10.x及以下版本的手机都不能正常显示cover-view?

目前好像真的没有遇到安卓用户有这个问题的

各位大佬求解啊 T T



- 当前 Bug 的表现(可附上截图)





- 预期表现







最后一次编辑于  07-18
回答关注问题邀请回答
收藏

3 个回答

  • 社区技术运营专员-小柿子
    社区技术运营专员-小柿子
    07-18

    测试了下也是无法复现,你给个固定高度试下?

    07-18
    赞同
    回复
  • Geefib
    Geefib
    09-05

    给了固定高度后能解决问题吗?@楼主

    09-05
    赞同
    回复
  • 仙森ღ₅₂₀¹³¹⁴
    仙森ღ₅₂₀¹³¹⁴
    07-18

    你有木有IOS系统 10及以下的手机试试呗。然后换个高版本的手机瞅瞅

    07-18
    赞同
    回复 5
    • L
      L
      07-18
      现在很难找到这么低的版本了 问了好多人了… 高版本的全都没有问题。而且目前遇到的这种问题的人用的都是iphone6, 6s, 6p,这种机型周围人也没在用了。用户走了就无法复现了 桑心
      07-18
      回复
    • 仙森ღ₅₂₀¹³¹⁴
      仙森ღ₅₂₀¹³¹⁴
      07-18回复L
      买几个测试机咯。我们买的好像 有10的
      07-18
      回复
    • 伊人行
      伊人行
      07-18回复L
      发个代码片段,我手机正好是ip6+,可以帮你试试
      07-18
      回复
    • L
      L
      07-18回复伊人行
      我大概写了个片段,麻烦你啦~ https://developers.weixin.qq.com/s/2POFPWml719V
      07-18
      回复
    • 伊人行
      伊人行
      07-18回复L
      试了下,没有还原出来,我手机系统版本太高了
      07-18
      回复